/*
** Copyright (C) 1993-2013 Mark B. Hanson (mbh@panix.com)
**
** This program is free software; you can redistribute it and/or modify
** it under the terms of the GNU General Public License as published by
** the Free Software Foundation; either version 2, or (at your option)
** any later version.
**
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**
** You should have received a copy of the GNU General Public License
** along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

// @(#)$Id: fireball.h 1344 2013-04-05 21:18:39Z mark $

#ifdef	XSC_FIREBALL_H

class Fireball;

#else	// XSC_FIREBALL_H
#define	XSC_FIREBALL_H

#include "king.h"
#include "ship.h"
#include "stats.h"
#include "xything.h"

class Fireball : public virtual Xything {
private:
    bool flying;
    float *randomizer;
    bool paused;

    void set_randomizer(void);

public:
    Fireball(void);
    ~Fireball(void);

    void render(const bool);

    void move(Ship *);
    void launch(King *);
    void set_xpoints(void);

    bool alive(void) const;
    void snuff(void);
    void pause(const bool);
};


inline bool
Fireball::alive(void) const
{
    return flying;
} // Fireball::alive


inline void
Fireball::snuff(void)
{
    flying = false;
} // Fireball::snuff


inline void
Fireball::pause(const bool pause_state)
{
    paused = pause_state;
} // Fireball::pause

#endif	// XSC_FIREBALL_H
