/*
** Copyright (C) 1993-2013 Mark B. Hanson (mbh@panix.com)
**
** This program is free software; you can redistribute it and/or modify
** it under the terms of the GNU General Public License as published by
** the Free Software Foundation; either version 2, or (at your option)
** any later version.
**
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**
** You should have received a copy of the GNU General Public License
** along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

// @(#)$Id: text.h 1344 2013-04-05 21:18:39Z mark $

#ifdef	XSC_TEXT_H

class Text;

#else	// XSC_TEXT_H
#define	XSC_TEXT_H

#include "thing.h"

class Text : public Thing {
private:
    const char *message;
    size_t length;

public:
    Text(void);
    ~Text(void);

    void render(const bool);

    void set_position(const float, const float);

    void set_message(const char *);
};


inline void
Text::set_message(const char *msg)
{
    message = msg;
    length = message ? strlen(message) : 0;
} // Text::set_message

#endif	// XSC_TEXT_H
